<?php

define('TELEGRAM_URL', 'https://api.telegram.org/bot' . $_ENV['BOT_TOKEN'] . '/');  // Base URL for Telegram Bot API


function msg($method, $params) {
    if (!$params) {
        $params = [];  // Ensure $params is an array
    }
    $params["method"] = $method;  // Set the method for the API request
    $ch = curl_init(TELEGRAM_URL);  // Initialize a cURL session
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);  // Return the response as a string
    curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 10);  // Set connection timeout
    curl_setopt($ch, CURLOPT_TIMEOUT, 60);  // Set request timeout
    curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($params));  // Encode parameters as JSON
    curl_setopt($ch, CURLOPT_HTTPHEADER, ["Content-Type:application/json"]);  // Set the content type to JSON
    $result = curl_exec($ch);  // Execute the API request
    curl_close($ch);  // Close the cURL session
    return $result;  // Return the result of the cURL execution
}
